import { ElementRef } from '@angular/core';
import { Position } from '../models/types';
import * as i0 from "@angular/core";
export declare class ViewportService {
    getCanvasPoint(event: MouseEvent, canvasRef: ElementRef<SVGElement>): Position;
    snapToGrid(position: Position, gridSize: number): Position;
    getObjectTransform(position: Position): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ViewportService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ViewportService>;
}
